{
  config,
  pkgs,
  inputs,
  ...
}:
{
  xdg.enable = true;
  # gtk.enable = true;

  home.stateVersion = "25.05";
  home.username = "imnyang";
  home.homeDirectory = "/home/imnyang";
  home.packages = import ./packages.nix { inherit pkgs inputs; };

  home.sessionVariables = {
    EDITOR = "nano";
    VISUAL = "nano";
  };

  xdg.configFile."fontconfig/conf.d/10-hm-fonts.conf".force = true;

  programs.vicinae = {
    enable = true;
    systemd = {
      enable = true;
      autoStart = true;
      environment = {
        USE_LAYER_SHELL = 1;
      };
    };
  };

  imports = [
    "${inputs.self}/modules/home/git.nix"
    # "${inputs.self}/modules/home/firefox.nix
    "${inputs.self}/modules/home/neovim.nix"
    "${inputs.self}/modules/home/spicetify.nix"
    "${inputs.self}/modules/home/ghostty.nix"
    "${inputs.self}/modules/home/zed.nix"
    "${inputs.self}/modules/home/discord/linux.nix"
    "${inputs.self}/modules/home/vscode.nix"
    ./config/shell.nix
    ./config/plasma.nix
  ];
}
